net.sf.statsvn.util.svnkit

## Class SvnKitPropget

- java.lang.Object
- - net.sf.statsvn.util.SvnPropgetUtils
  - - net.sf.statsvn.util.svnkit.SvnKitPropget

All Implemented Interfaces:
  ISvnPropgetProcessor

    public class SvnKitPropget
    extends SvnPropgetUtils

Uses svnkit to do svn propget.

Author:
  jkealey, yogesh

### Nested Class Summary

Nested Classes
`protected class` `SvnKitPropget.SvnKitPropertyHandler`

### Field Summary

### Fields inherited from class net.sf.statsvn.util.SvnPropgetUtils

`binaryFiles, processor`

### Constructor Summary

Constructors
Constructor and Description
`SvnKitPropget(ISvnProcessor processor)`

### Method Summary

Methods
`java.util.List` `getBinaryFiles()` Returns the list of binary files in the working directory.
`java.io.File` `getCheckoutDirectory()`
`org.tmatesoft.svn.core.wc.SVNClientManager` `getManager()`
`SvnKitProcessor` `getSvnKitProcessor()`
`protected void` `handleSvnException(org.tmatesoft.svn.core.SVNException ex)`
`protected boolean` `isBinary(org.tmatesoft.svn.core.wc.SVNPropertyData data)`
`boolean` `isBinaryFile(java.lang.String revision, java.lang.String filename)` It was first thought that a the mime-type of a file's previous revision could be found.

### Methods inherited from class net.sf.statsvn.util.SvnPropgetUtils

`getBinaryFilename, getFileMimeTypes, getFileMimeTypes, getProcessor, loadBinaryFiles, loadBinaryFiles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnKitPropget

    public SvnKitPropget(ISvnProcessor processor)

### Method Detail

#### getBinaryFiles

    public java.util.List getBinaryFiles()

Description copied from interface: `ISvnPropgetProcessor`
Returns the list of binary files in the working directory.

Specified by:
  `getBinaryFiles` in interface `ISvnPropgetProcessor`
Overrides:
  `getBinaryFiles` in class `SvnPropgetUtils`
Returns:
  the list of binary files

#### getCheckoutDirectory

    public java.io.File getCheckoutDirectory()

#### getManager

    public org.tmatesoft.svn.core.wc.SVNClientManager getManager()

#### getSvnKitProcessor

    public SvnKitProcessor getSvnKitProcessor()

#### handleSvnException

    protected void handleSvnException(org.tmatesoft.svn.core.SVNException ex)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### isBinary

    protected boolean isBinary(org.tmatesoft.svn.core.wc.SVNPropertyData data)

#### isBinaryFile

    public boolean isBinaryFile(java.lang.String revision,
                       java.lang.String filename)

Description copied from interface: `ISvnPropgetProcessor`
It was first thought that a the mime-type of a file's previous revision could be found. This is not the case. Leave revision null until future upgrade of svn propget command line.

Specified by:
  `isBinaryFile` in interface `ISvnPropgetProcessor`
Overrides:
  `isBinaryFile` in class `SvnPropgetUtils`
Parameters:
  `revision` - the revision to query
  `filename` - the filename
Returns:
  if that version of a file is binary